WYSIWYG Editor - Feature # 380: Paste screenshot

Status: Closed Priority: Normal
Author: Torbjorn Schon Category:
Updated: 28 Aug 2014 Due date:

Subject: Paste screenshot

Description: Hi.

I would like to have the possibility to add screenshots in the editor.

| have seen that if | copy/paste a screenshot (or any image) it gets sent to the user but are not saved to the
ticket.

This is something that we really like to have.

History

04/28/2014 12:57 am - Torbjérn Schoén
When | look at the post detail in the staff-ui i have the imagesource but as it doesn't seem to be saved anywhere it doesn't show.

Here is a code example:

<img
src="data:image/png;base64,iVBORWOKGgoAAAANSUhEUgAAAKCAAABQCAIAAADz4/IaAAAEIEIEQVR4n0O2bPavbPBIiG8yfPb8h6Bg8ZDvSIQ5aQ0
ZxCvQUBJUOMES50SMNTUdNhT6EVYsImBT2vJ+blZCOtiWJIfkjcuLUynnum3tIJEeSdUMPJOMMjhA9DfpuANSDQJ2iQJ2iQJ2iQJ2iQJ2iMurj5SRB+wX77/
iI+K6ITMKhTNKhTNKhTNKhTNKhTNKhTNKhTNKhTNKhTNKhT9EXU58HO90fj5XC8HK1C9jnzzN88h+bMXjx/2+XerNbD8XI4LieuTT80Z3z5a9Nn1y9H
g5C7rDIrb4ZcF9wI9bXpB+YgXMyX0OUgB22gV7rb2cGwvnoMJIB3IxX4gqJLKuUC+i6/rEy9QICWNPHvX/C1vGOwVIXmw29rDmb/Z2gwzN70Y RRFw+itV6qG5
ChhRkX05Sx52w3mA6d4x9ck2nUkerZm/Y SyL4C8Cnvkb3x8JET79eQ312dr0g0kldSkrK7nvDr0InOmd7+Js+vIDofhQT11trs+yKVtFXcySmpQOgbxhcA
fUJ9tIL8bNVY7sF1AvI/BZGAJMSupCVKWEB/UOgcvMuBV9bfrhYssv8Jfs5rjBJGz1K7Pkc8Rki7neHfVRsSWINLiiOVUFOMHONT267rZ3v2IJmDITAO2FGtR
F084BWxHeG9W+rwzRVUKRrUKRrUKRrUKRrUKRrUKRrUKfpM609PD97ecT3XgbSR53vu/sPj08NVgD8+PXieFOVRkiRHSBsISRLHseu5b9avuqfu7z0
0ivq9Q6h0OURR5e6d76h/dj5]12ipJEtdzu6fuOE6/NwY 1y3GuMNdB/Xg6b69ylaB+Y7q/v//VRqD+EpRS/19NoN6kw+HQAxNUdfPU7eldoandZd+00MEy7gy
rTN2eViYLF/TQ6pT62rSjrrY ZwfL6AtSHIWT6pP6v2rSjXppJhVIKPamkG5YtmXIwaEu/ZgNpIRFbQfLMCyLjzOVwYalUCqfFcS1IMB61H+NIQKSs2v8hgM
X5S6v+0STfqDZO7gbrUtc3pQhX2IDE4WIbE0znCC+Vz5eQtE+pRrFTOaUvIp5p0034UInWh15uo0c33DvtakHyxD6Ep2mYRZiXp9ezh+R+VKxUjXanlLqf
/INagSy9WQutA10nSqjfAFHdaPNenyGsKul8hcRFOes2qV104NBaXUv30OSKkPNZOIMX++emqgE9tsf4/Rf2rK1ZcSteMesV91kTs60T4LgnzIShWenGE/1LS
YDA0J2pGXd7d103C+M1x066gKrlpY9Updb70MyoV2n9SKiXPatkKNenG7dRu6LNVmM3WVP7+6m0/JiWpd+rDI9EVR3vmk5up2NPeVPeXKI8cIN+YpBS
/6QmMHam3VN3g18/Tki518jEgp5T6320CdZ0kHPfaPRxMqe/UBOp6iVsG2j0PTgn7anoB1KHjMafuggnUX4jwVgVF4Q0q6ExdhTrejNZZ130z2ts7cRz3e29
Qnel4vsg/IN6sX7mui3886absHO+u+/bd6+6pp+Dx70bd5Pmet3dOlj+fOnzTBNWKBNWKBNWKBnWKBNWKBnWKBNWKBnWKBnWKBnWKBnWKrqY Ok
RKoUxSoU9RvBuUQzOyB6dalAAAAASUVORKSCYII=" alt="" /><br /><br /><br

05/21/2014 05:14 am - Gary Mcgrath
- Status changed from New to Closed

Hi there,

you need to ensure that your helpdesk ( within settings ) has been set to display HTML by default, or images will not display, | put the details for which

settings to enable in my reply to you at the forums.

Gary

05/22/2014 01:03 am - Torbjérn Schon
Hi.

| have set the desk to allow html. Is there a setting anywhere else that | am missing?
| have scrolled trough every single line. (I think)

05/22/2014 09:59 am - Gary Mcgrath
- File customtweaksv1-8-2.zip added
Please check the version of customtweaks attached here, it has some changes to enable the display of copy and pasted images.
Gary

05/23/2014 12:42 am - Torbjorn Schén

Hi.

This is really getting somewhere now.

Tested and working.

How big is the pictures in the database? Do you have any clue? for example, a screenshot of 1024*768.
08/28/2014 05:35 am - Torbjérn Schon

| have installed version 2.2.1 and now | am not able to send screenshots anymore.

They doesn't show in Kayako and the mail sent to the client looks like it does above.

| noticed that there are alot of changes between versions.

btw. the swedish language works like a charm. :)

Files

customtweaksv1-8-2.zip 2.4 MB 22 May 2014 Gary Mcgrath
